Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin.DataObject
Class PluginRealLineInformationDataObjOfReactionLink

    java.lang.Object
      jp.sbi.celldesigner.plugin.DataObject.PluginRealLineInformationDataObjOfReactionLink

    public final class PluginRealLineInformationDataObjOfReactionLink

extends java.lang.Object

ReactionLink Line information Class

Author:
  makoukou

Constructor Summary
`PluginRealLineInformationDataObjOfReactionLink()`

Method Summary
`java.awt.geom.Point2D.Double` | `getMidPointInLine()` Get the junction information of three linked lines if this link is three-linked line.
`java.util.Vector` | `getPointsInLine()` Get all the key points information in the line of the link.
`int` | `getProcessNodeIdx()` Get the process node index which rely on the index of the subline included process node in BaseReactionLink if this link have process node.
`java.util.Vector` | `getReactionLinkMembers()` Get the members of this link, for instance the members will be Add_reactant, Add_product, modification link, gate link information, if this link is BaseReactionLink.
`java.lang.String` | `getTypeOfLine()` Get the type of the Link, only Add_reactant and Add_product has this type, which is Curve or Straight based on the property of the link.
`void` | `setMidPointInLine(java.awt.geom.Point2D.Double pnt)` Set the junction information of three linked lines if this link is three-linked line.
`void` | `setPointsInLine(java.util.Vector vect)` Set all the key points information in the line of the link.
`void` | `setProcessNodeIdx(int idx)` Set the process node index which rely on the index of the subline included processNode in BaseReactionLink if this link have process node.
`void` | `setReactionLinkMembers(java.util.Vector vect)` Set the members of this link, for instance the members will be Add_reactant, Add_product, modification link, gate information.
`void` | `setTypeOfLine(java.lang.String str)` Set the type of the Link, only Add_reactant and Add_product has this type, which is Curve or Straight based on the property of the link.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginRealLineInformationDataObjOfReactionLink

    public PluginRealLineInformationDataObjOfReactionLink()

Method Detail

### getProcessNodeIdx

    public int getProcessNodeIdx()

  Get the process node index which rely on the index of the subline included process node in BaseReactionLink if this link have process node.

  Returns:
    the index of the subline

### setProcessNodeIdx

    public void setProcessNodeIdx(int idx)

  Set the process node index which rely on the index of the subline included processNode in BaseReactionLink if this link have process node.

  Parameters:
    `idx` - the index of the subline

### getMidPointInLine

    public java.awt.geom.Point2D.Double getMidPointInLine()

  Get the junction information of three linked lines if this link is three-linked line.

  Returns:
    junction information of three linked lines

### setMidPointInLine

    public void setMidPointInLine(java.awt.geom.Point2D.Double pnt)

  Set the junction information of three linked lines if this link is three-linked line.

  Parameters:
    `pnt` - junction information of three linked lines

### getPointsInLine

    public java.util.Vector getPointsInLine()

  Get all the key points information in the line of the link.

  Returns:
    all the key points information in the line

### setPointsInLine

    public void setPointsInLine(java.util.Vector vect)

  Set all the key points information in the line of the link.

  Parameters:
    `vect` - all the key points information in the line

### getReactionLinkMembers

    public java.util.Vector getReactionLinkMembers()

  Get the members of this link, for instance the members will be Add_reactant, Add_product, modification link, gate link information, if this link is BaseReactionLink. The members will be modification-link if this link is gate.

  Returns:
    member-lines information by same data type as this

### setReactionLinkMembers

    public void setReactionLinkMembers(java.util.Vector vect)

  Set the members of this link, for instance the members will be Add_reactant, Add_product, modification link, gate information. if this link is BaseReactionLink. The members will be modification-link if this link is gate.

  Parameters:
    `vect` - member-lines information by same data type as this

### getTypeOfLine

    public java.lang.String getTypeOfLine()

  Get the type of the Link, only Add_reactant and Add_product has this type, which is Curve or Straight based on the property of the link.

  Returns:
    Curve or Straight

### setTypeOfLine

    public void setTypeOfLine(java.lang.String str)

  Set the type of the Link, only Add_reactant and Add_product has this type, which is Curve or Straight based on the property of the link.

  Parameters:
    `str` - Curve or Straight

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD